Page MenuHomePhabricator

Sort commit history chronologically
Closed, ResolvedPublic

Description

When I look at my commit history (/audit/?authors=<username>), the commits are not ordered chronologically. They appear to be mostly in order with some things out of order.

Revisions and Commits

Event Timeline

adhirajsomani updated the task description. (Show Details)
adhirajsomani added a project: Restricted Project.

To give more info: I'm sure the order makes sense for some use case (though I can't quite figure out what it is right now). The use case we have (in this scenario) is:

Often, we don't want to audit commits. We just want to see a person's commit history, perhaps as a way to quickly find something they did in the past. For this case it, providing an option to sort the commits chronologically seems like it would make finding old commits easier.

It looks like they're ordered by internal ID, which is often correlated with commit date but not always the same. This is just the default behavior of queries, not an intentional behavior.

It's not trivial to order commits by ancestry, but we can order them by commit date pretty easily. This should be the same as (or, at least, similar to) ancestry in most cases (e.g., when users haven't been messing with commit dates using git commit --date).

I think ordering by commit date would be great!

gou1 added a subscriber: gou1.Aug 28 2015, 6:23 PM
epriestley triaged this task as Normal priority.
jhurwitz moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Aug 31 2015, 5:24 PM

I pushed that to this server if you want to poke at it, let me know if I missed anything.

T9302 has a followup bug on this, there may be an issue with the interaction between this query and Owners packages.

angie added a comment.Oct 14 2015, 6:42 PM

@adhirajsomani can you confirm this has been resolved?

angie moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Oct 20 2015, 12:28 AM